.perfection {
    position: relative;
    margin-bottom: rem(50);

    &__media {
        position: relative;
        margin-bottom: rem(30);
    }

    &__main {
    }

    &__content {

    }

    &__header {
        margin-bottom: rem(30);
    }

    &__text {
        margin-bottom: rem(30);
    }

    &__lead {
        padding: rem(8);
        font-weight: 600;
        font-size: rem(15);
        line-height: rem(22);
        border: 8px solid $purple;
    }

    &__wrap {
        padding: rem(20);
        border: 1px solid #F1F0ED;
    }

    &__control {
        right: 0;
        bottom: 0;
        z-index: 100;
        position: absolute;
        background: white;
        display: flex;
    }

    &__counter {
        color: #828282;
        font-weight: 600;
        line-height: 125%;
        font-size: rem(12);
        width: rem(84);
        flex-shrink: 0;
        white-space: nowrap;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    &__active {
        color: #1B1B20;
        font-size: rem(22);
        line-height: 125%;
    }

    @include media-breakpoint-up(sm) {

        &__media {
            height: rem(400);
        }
    }

    @include media-breakpoint-up(md) {

        &__media {
            height: rem(500);
        }

        &__lead {
            padding: rem(8);
            border-width: 12px;
        }

        &__wrap {
            padding: rem(20) rem(40);
        }

        &__header {
            margin-bottom: rem(35);
        }

        &__text {
            margin-bottom: rem(35);
        }
    }

    @include media-breakpoint-up(lg) {}

    @include media-breakpoint-up(xl) {
        margin-bottom: rem(75);

        &__main {
            z-index: 1;
            position: relative;
        }

        &__inner {
            display: flex;
            justify-content: flex-end;
        }

        &__content {
            width: rem(640);
            flex-shrink: 0;
        }

        &__media {
            top: 0;
            left: 0;
            bottom: 0;
            right: calc(50% + 50px);
            z-index: 10;
            height: auto;
            position: absolute;
            margin-bottom: 0;
        }
    }

    @include media-breakpoint-up(xxl) {

        &__content {
            width: rem(680);
        }

        &__media {
            right: calc(50% + 20px);
        }
    }
}
